MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000017124thATC[All Projects] Phraseology/Speechpublic2015-08-25 22:592016-11-22 05:46
ReporterAdvMichael 
Assigned Tontnll 
PrioritylowSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
Platformx64OS(All OS)OS Version(All versions)
Product Version2.0-a14 
Target Version2.0Fixed in Version2.0-a15 
Summary0000017: disable voice on readback
DescriptionIt is not very realistic, that the simulation is also using voice output for your own readback, usually you do that talking on your own, which is far more realistic. In MS-FS there was an option, to deactivate the voice output on your readback. Such option "disable voice on readback" would definitely add realism. The text output should remain as it is, so that people not so familiar with ATC phraseology yet can use this text output as guidance. To make it perfect, during the readback (without voice output) the frequency should be blocked, in order to avoid, that your readback is interrupted. I measured the time on several (mix of short and long) ATC communications and divided it by the amount of characters in the ATC string. My suggestion is to use as default 0.1 seconds per character, that was my average value, not talking too fast. So the duration for blocking the frequency during “quiet readback” is LENGTH(ATCSTRING)*0.1 sec. Maybe you can make this value even adjustable in the options.

FURTHER SUGGESTION FOR HIGH REALISM ON “READBACK” AND “SAY AGAIN”
This refers to my prior suggestions for “no speech on own readback” and “mapping 124thATC-functions to X-plane” (both detailed in 124thATC_Feedback01_20150619). As suggested there could be an option to deactivate the speech on the own readback. Further I suggested to block the frequency for a certain time, calculated from the text length of the readback. When I fly with ATC I always do the readback on my own and during I am talking I hold the communication button pressed on my yoke (even though there is no function mapped yet). After that of course I still have to click the icon “readback” or “say” again on the 124thATC pannel (sometimes I even forget to do that, as it is not realistic). Combining all that I would like to specify an even more realistic mode: Whenever there is the “READBACK” or “SAY AGAIN” option available on the 124thATC communication tab they should be coloured (just some light and soft colours, not too intense). “READBACK” = light green and “SAY AGAIN” = light orange. When I press the mapped communication button for more than 3 seconds (while I am doing the readback), 124thATC should consider that as my readback and keep the frequency blocked until I release the button again and then accept this immediately as my readback (same as I would click the READBACK icon) without speech output of my readback. If I press the mapped button on the yoke for less than 3 seconds, 124thATC should consider this as my “SAY AGAIN” request. Any other functions (like “Request IFR clearance”,”Ready to taxi”,"Request takeoff", etc.) still have to be clicked, as it already was up to now. Of course also the “READBACK” and “SAY AGAIN” should be still clickable as they were up to now. So 124thATC can be used totally as it was up to now, however there still would be that ultra-realistic option with the communication button. What do you think? Don´t worry, I will not suggest to also add voice recognition for the readback :-)
SHORT SPECIFICATION (the colours should only indicate, that there is special mapping):
“Readback” (light green colour): will be activated if the mapped communication button on the yoke is pressed more than 3 seconds
“Say Again” (light orange colour): will be activated if mapped communication button on the yoke is pressed less than 3 seconds
While writing this description I figured, that for the "Center initial call" that also would make perfectly sense (no conflict with "READBACK" possible):
“Center Inital Call” (light green colour): will be activated if the mapped communication button on the yoke is pressed more than 3 seconds
all other functions have to be clicked as it already was up to now
In case the mapping of buttons in X-Plane is difficult or not possible a first step would be to do that with a regular key on the keyboard (but the button on the yoke would be much cooler and most realistic). This would allow most of the ATC handling in flight without using the mouse.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2015-08-25 22:59 ntnll New Issue
2015-08-25 22:59 ntnll Status new => assigned
2015-08-25 22:59 ntnll Assigned To => ntnll
2015-08-25 23:09 ntnll Priority normal => low
2015-08-25 23:09 ntnll Reporter ntnll => AdvMichael
2015-08-26 09:27 ntnll Summary [Feature Request] disable voice on readback => disable voice on readback
2015-08-26 20:30 ntnll Description Updated View Revisions
2015-09-24 20:11 ntnll Status assigned => resolved
2015-09-24 20:11 ntnll Resolution open => fixed
2015-09-24 20:11 ntnll Fixed in Version => 2.0-a15
2015-10-13 11:24 ntnll Product Version => 2.0-a14
2015-10-13 11:24 ntnll Target Version => 2.0
2016-11-22 05:46 ntnll Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker